Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)

From: Roy Badami <[email-masked]>
Date: Tue, 28 Oct 2003 00:50:53 +0000

> Mail Internationalised Local-Part (MILP)

Even though, given IDNA now exists as a proposed standard, the main
issues relate to the local part, the issue under discussion is that of
internationalized mail addresses, not just internationalized
local-parts.

Restricting the disucssion to local-parts runs the risk of excluding
other potentially relevent issues.  For instance, one of the issues
that has been discussed on the IMAA list is whether full-width at
should be recognized in an internationalized mail address.  IMHO, the
charter shouldn't be framed in a way that is sufficiently narrow as to
render such questions out of scope.

	-roy

---

From: "J-F C. (Jefsey) Morfin" <[email-masked]>
Date: Wed, 29 Oct 2003 16:50:39 +0100

On 10:31 28/10/03, Zefram said:
>I think the first task in this area should be to investigate the nature 
>and degree of desire for non-ASCII local parts.  This desire needs to be 
>weighed against the benefits we derive from writing all local parts in a 
>small, fixed alphabet (ASCII printables).

May I ask which part of the world you come from?

This being said only Americans want/are satisfied with "internationalized" 
(sic) names (the artificial extension of the American character set with 
most of the American foreign scripting, within an ascii frame). No one 
really wants multilingual names (a totally internationalized (sic) frame 
supporting languages and therefore some language oriented rules - at least 
ni management and user support). The users need vernacular support, that is 
to be able to freely do in the mail what they use to do elsewhere.

I note that for non-American writers "international names" means names that 
everyone from every nation will understand. It happens to be the ascii 
character set limited to the DNS used names (they were selected for that 
reason).
jfc

---

From: Marc Blanchet <[email-masked]>
Date: Mon, 27 Oct 2003 20:08:25 -0500

- good start!
- timeline seems pretty agressive... will see.
- would probably good to have a requirement document upfront. Might not the
same way that idn requirement ends up, but a narrow-implementable
requirement would help to have a concensus (hopefully) on what needs to be
done. 
- while the idn req went not that good, now that we have experience, I
think we should try to be better and have one.

I know I might start some debate with this, but still think it is the best
way to go...

- would be useful to have some reference to idn (idna) in the charter, as
background work. the developers and users will have to take care of "both"
(ie. idn and imail) in the email infrastructure.

Marc.

-- Monday, October 27, 2003 16:19:25 -0800 Dave Crocker <[email-masked]>
wrote/a ecrit:

> Folks,
> 
> On the theory that discussions go better when they have a concrete
> deliverable, here is a proposed charter for a proposed working group.
> 
> The following started with Mark Crispin's text, although it might not
> look it. Besides the usual goals for a charter, the following text
> attempts to specify the problem domain in the narrowest feasible form
> that is valid. If anyone thinks the scope is too narrow, they need to
> explain why.
> 
> 
> 
> DRAFT CHARTER
> 
> ---------------------------------
> 
> The <local-part> portion of RFC2822 and <Local-part> portion of RFC2821
> mail addresses are restricted to a subset of ASCII. This poses a
> fundamental barrier for users needing mail addresses to be expressed in a
> richer set of characters, such as Latin characters with diacriticals and
> the many Asian characters. The goal of the current work is to add
> local-part support for these additional characters, while preserving the
> large, installed base of ASCII usage.
> 
> The group will take:
> 
>    draft-hoffman-imaa-03.txt
>    draft-klensin-emailaddr-i18n-01.txt
>    draft-duerst-iri-04.txt
> 
> as input to discussions.
> 
> The group will pay particular attention to barriers to adoption and
> utility, as well as any impact the new scheme might have on the existing
> base of Internet mail usage.
> 
> 
> Milestones
> ----------
> 
> Nov, 03:  BOF
> 
> Dec, 03:  WG chartered
> 
> Feb, 03:  Initial draft of working group specifications.
> 
> Jun, 03:  Specifications submitted for IETF approval
> 
> 
> d/
> --
>  Dave Crocker <dcrocker-at-brandenburg-dot-com>
>  Brandenburg InternetWorking <www.brandenburg.com>
>  Sunnyvale, CA  USA <tel:+1.408.246.8253>
> 

------------------------------------------
Marc Blanchet
Hexago
tel: +1-418-266-5533x225
------------------------------------------
http://www.freenet6.net: IPv6 connectivity
------------------------------------------

---

From: Mark Crispin <[email-masked]>
Date: Mon, 27 Oct 2003 11:10:55 -0800 (PST)

On Mon, 27 Oct 2003, Keith Moore wrote:
> Thanks for taking a stab at a problem statement.  I'd like to drill down
> on this just a bit.
> What is the source of the "growing need"?  Is it:
> [snip]

I agree that this needs to be stated, but someone other than me will have
to do it.

I believe that the primary push for this functionality comes from regions
which use Latin alphabetics with diacriticals; and that most individuals
in regions which do not use Latin script are accept the use of Latin
script for multinational interchange.  In many regions where Latin
diacriticals are used, there is no acceptable transform of a surname to a
form that does not use diacriticals.  Simply omitting the diacritical
causes (at least to the inhabitants of those regions) a misspelling.

This set of beliefs naturally biases how I approach the problem.  The
problem statement must be free of bias, including mine.

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.

---

From: Dave Crocker <[email-masked]>
Date: Mon, 27 Oct 2003 16:19:25 -0800

Folks,

The following started with Mark Crispin's text, although it might not look it.
Besides the usual goals for a charter, the following text attempts to specify
the problem domain in the narrowest feasible form that is valid. If anyone
thinks the scope is too narrow, they need to explain why.

DRAFT CHARTER

The <local-part> portion of RFC2822 and <Local-part> portion of RFC2821 mail
addresses are restricted to a subset of ASCII. This poses a fundamental
barrier for users needing mail addresses to be expressed in a richer set of
characters, such as Latin characters with diacriticals and the many Asian
characters. The goal of the current work is to add local-part support for
these additional characters, while preserving the large, installed base of
ASCII usage.

The group will take:

as input to discussions.

The group will pay particular attention to barriers to adoption and utility,
as well as any impact the new scheme might have on the existing base of
Internet mail usage.

Milestones
----------

Nov, 03:  BOF

Dec, 03:  WG chartered

d/

---

From: James Seng <[email-masked]>
Date: Mon, 27 Oct 2003 19:07:09 +0800

I seen John and Paul proposal but I have not seen Michel. Is there a 
draft that I can read up?

ps: I wont be able to join the meeting but I am interested in the subject.

-James Seng

Patrik Fältström wrote:

> At the IETF in Minneapolis, there will be a BOF on Internationalized 
> Email Addresses (IEA).
> 
> It is *preliminary* on the agenda on Monday, November 10, 2003 at 
> 1530-1730.
> 
> Chairs:  Pete Resnick, Patrik Fältström
> Mailing list:[email-masked] (other salient lists include [email-masked])
> Agenda:
> 
> Agenda Bashing (Chairs)                5 min.
> Topic Introduction (Chairs)           10 min.
> Proposals
>   IDNA-Based (Paul Hoffman)           15 min.
>   Infrastructure-Based (John Klensin) 15 min.
>   IRI-Based (Michel Suignard)         15 min.
> 
> Discussion                            60 min.
> 
> Topics for discussion:
> 
>   Are there other solutions which have been specified?
> 
>   The solutions present the problem at different scopes;
> 
>      Where should the IETF tackle it?
> 
>      Are some short-term, and other long-term?
> 
>      Can the solutions be staged or co-exist?
> 
>      If staged, how to migrate from one to another?
> 
>   What are the next steps for the IETF?
> 
> 
> NB:  This BoF is exploratory in nature, and it is not intended that the 
> IETF will finalize a decision in this venue.  It was proposed to foster 
> a community discussion, not charter a working group or pick a winner. If 
> further work is required, step one would be identifying individuals 
> willing to carry that work forward.
> 
> Reading material:
> Pete and myself hope people will come with a lot of constructive 
> comments and ideas.
> 
>         Patrik, co-chair of the bof
> 
> 
> 
> 
>

---

From: Dave Aronson <[email-masked]>
Date: Mon, 27 Oct 2003 14:43:09 -0500

On Mon October 27 2003 12:30, WJCarpenter wrote:

 > mc> As presently constituted, email addresses are limited to the 26
 > mc> Latin alphabetics, 10 digits, and a limited number of special
 > mc> characters in the ASCII character set.  There is a growing need
 > to
 >
 > upper and lower case alphabetics

Yes, but with either of those two sets (generally) considered equivalent 
to the other, boiling down to effectively 26 choices.

-- 
Dave Aronson, Senior Software Engineer, Secure Software Inc.
Email me at: work (D0T) 2004 (@T) dja (D0T) mailme (D0T) org
Web: http://destined.to/program http://listen.to/davearonson